Skip to main content
GET
https://gateway.0xkey.io
/
v1
/
webhook-jwks
curl https://gateway.0xkey.io/v1/webhook-jwks
{
  "keys": [
    {
      "kid": "<signing-key-id>",
      "kty": "OKP",
      "crv": "Ed25519",
      "alg": "EdDSA",
      "use": "sig",
      "x": "<base64url-encoded-public-key>",
      "x_0xkey_signature_algorithm": "ed25519",
      "x_0xkey_signature_version": "v1"
    }
  ]
}
Fetch the public Ed25519 keys used to verify 0xkey webhook signatures. This endpoint is public and does not require authentication. Cache the JWKS response according to the Cache-Control header. Match each JWK kid to the webhook delivery’s X-0xkey-Signature-Key-Id header. If a delivery uses an unknown kid, refetch JWKS once before rejecting it. Current Cache-Control:
public, max-age=86400, s-maxage=86400, stale-if-error=604800
keys
array
required
Public webhook signature verification keys.
curl https://gateway.0xkey.io/v1/webhook-jwks
{
  "keys": [
    {
      "kid": "<signing-key-id>",
      "kty": "OKP",
      "crv": "Ed25519",
      "alg": "EdDSA",
      "use": "sig",
      "x": "<base64url-encoded-public-key>",
      "x_0xkey_signature_algorithm": "ed25519",
      "x_0xkey_signature_version": "v1"
    }
  ]
}